# $Revision: 1.5 $, $Date: 2006/07/28 17:49:36 $
Name:		newsx
Version:	1.6
Release:	6%{?dist}
License:	GPL
Summary:	NNTP news exchange utility
Summary(pl):	Narzędzie do wymiany newsów po NNTP
Group:		Applications/Internet
Source0:	ftp://ftp.kvaleberg.com/pub/%{name}-%{version}.tar.gz
# Source0-md5:	ad9c76c53d5c7d21d86bec805fe8cd34
Patch0:		%{name}-make.patch
URL:		http://www.kvaleberg.com/newsx.html
BuildRequires:	inn-devel
BuildRequires:	automake
BuildRequires:	autoconf
Requires:	inn
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Newsx is an NNTP client that will connect to a remote NNTP server and
post outgoing news articles batched by the news system (e.g. INN), as
well as fetch incoming articles.

%description -l pl
Newsx jest klientem NNTP który łączy się ze zdalnym serwerem i wysyła
wychodzące artykuły zgromadzone przez system newsów (np. INN) oraz
pobiera przychodzące artykuły.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -f -i
%configure --without-history

%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# avoid conflict with leafnode
pushd $RPM_BUILD_ROOT
mv .%{_bindir}/newsq .%{_bindir}/newsx-newsq
mv .%{_mandir}/man1/newsq.1 .%{_mandir}/man1/newsx-newsq.1
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(770,root,news) %dir /var/spool/news/inhosts
%{_mandir}/man[158]/*

%changelog
* Sat Oct 14 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-6
- rename newsq to avoid conflict with leafnode
- simplify autotools invocation

* Sun Oct 01 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-5
- fix build on devel

* Fri Jul 27 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-3
- remove unnecessary Provides: tag

* Sun Apr 02 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-2
- fix BuildReqs

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-1
- FE compliance

* Sun Sep 25 2005 Dominik Mierzejewski <rpm@greysector.net>
- rebuilt for Fedora based on PLD specfile
